@import url('https://fonts.googleapis.com/css2?family=Kanit:wght@500&family=Montserrat:wght@500;600;700&display=swap');
@import '../src/components/menu/style.scss';
@import '../src/components/footer/styles.scss';

:root {
  --font: "Montserrat",sans-serif;
  --text-color: #252b42;
  --second-text-color: #737373;
  --highlight-color: #FE685A;
  --shadow: 0px 13px 19px rgba(0,0,0,0.07);
  --background-color: #fafafa;
}

body{
  margin: 0;
  background-color: var(--background-color);
  font-family: var(--font);
}

.container {
  display: grid;
  height: 100vh;
  grid-template-columns: 20% 80%;
  grid-template-rows: 1fr ;
  grid-template-areas:
    "nav main ";
}

p {
  color:var(--text-color);
  font-weight: 700;
}

.btn-link {
  display: block;
}

.table{
  width: 100%;
  text-align: left;
  border-spacing: 1rem 1.5rem;
  font-weight: 700;

  .thead{
    font-family: var(--font);
  }

  th{
    color:var( --second-text-color);
  }

  .linea{
    width: 50px;
    height: 2px;
    background-color: #2DC071;
    margin-top: 1rem;
  }

  .column-image {
    display: flex;
    gap: 1rem;

    img {
      width: 2rem;
    }
  }

  .column-button {
    float: right;
  }
}

.content-box {
  background-color: var(--div-color);
  padding: 2rem;

  &.with-margin {
    margin-bottom: 2rem;
  }

  h3 {
    color: var(--text-color);
    margin: 0 0 2rem 0;
    text-align: left;

    font-family: var(--font);
    font-weight: 700;
    font-size: 20px;

    .btn-icon {
      float: right;
    }
  }
}

.info-item {
  h4 {
    font-size: 1rem;
    font-weight: 700;
    color: var(--second-text-color);
    position: relative;
    margin: 0;
    margin-bottom: 2.5rem;

    &::before{
      width: 50px;
      height: 2px;
      background-color: #2DC071;
      position: absolute;
      bottom: -1.2rem;
      content: '';
    }
  }

  p {
    color:var(--text-color);
    font-weight: 700;
  }
}

@media (max-width: 550px) {
  .container{
    display: grid;
    grid-template-columns: 1fr ;
    grid-template-rows: 0.4fr 3fr 0.4fr ;
    grid-template-areas:
      "nav"
      "main"
      "main"
      "footer";
  }
}
